SDL_GetFullscreenDisplayModes(3)

NAME
SDL_GetFullscreenDisplayModes - Get a list of fullscreen display modes available on a display.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

extern DECLSPEC const SDL_DisplayMode **SDLCALL SDL_GetFullscreenDisplayModes(SDL_DisplayID displayID, int *count);

DESCRIPTION
The display modes are sorted in this priority: • w -> largest to smallest • h -> largest to smallest • bits per pixel -> more colors to fewer colors • packed pixel layout -> largest to smallest • refresh rate -> highest to lowest • pixel density -> lowest to highest

FUNCTION PARAMETERS

displayID
    the instance ID of the display to query

count
    a pointer filled in with the number of display modes returned

RETURN VALUE
Returns a NULL terminated array of display mode pointers which should be freed with SDL_free (), or NULL on error; call SDL_GetError () for more details.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetDisplays(3)